List contacts
Returns a paginated list of contacts for the organization, filterable by search term, type, status, and date range.
Returns a paginated list of contacts for the organization, filterable by search term, type, status, and date range.
Authorization
apiKey x-api-key<token>
In: header
Query Parameters
page?string|null
limit?string|null
search?string|null
type?|null
status?|null
startDate?string|null
endDate?string|null
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/contacts"{ "items": [ { "id": "string", "organizationId": "string", "type": "human", "name": "string", "displayName": "string", "avatar": "string", "identities": [ { "channel": "email", "identifier": "string", "verified": true } ], "humanProfile": { "firstName": "string", "lastName": "string", "email": "string", "phone": "string", "company": "string", "jobTitle": "string", "location": { "country": "string", "state": "string", "city": "string", "timezone": "string" }, "customFields": {}, "source": "api", "sourceDetails": {} }, "capabilities": [ "string" ], "tags": [ "string" ], "accessLevel": "public", "accessConfig": { "paymentRequired": { "amount": 1, "currency": "string", "validityHours": 1, "message": "string" }, "rateLimit": { "messagesPerHour": 1, "messagesPerDay": 1, "cooldownMinutes": 1 }, "allowedContacts": [ "string" ], "blockedContacts": [ "string" ], "availability": { "timezone": "string", "schedule": [ { "days": [ 0 ], "startTime": "string", "endTime": "string" } ], "outOfOfficeMessage": "string" } }, "preferences": { "preferredChannels": [ "email" ], "language": "string", "timezone": "string", "notifications": { "email": true, "quiet_hours": { "start": "string", "end": "string" } }, "messageFormats": { "preferMarkdown": true, "preferPlainText": true, "maxMessageLength": 1 } }, "status": "active", "statusReason": "string", "externalId": "string", "metadata": {}, "createdAt": "string", "updatedAt": "string", "createdBy": "string", "lastModifiedBy": "string", "engagement": { "totalInteractions": 0, "lastActiveAt": "string" }, "lists": [ { "id": "string", "name": "string", "color": "clay" } ] } ], "pagination": { "page": 0, "limit": 0, "total": 0, "totalPages": 0 }}Related documentation
List a contact's group memberships
Returns the contact groups that a contact currently belongs to. Use this endpoint to list a contact's group memberships through the Samva email API.
Delete a contact
Permanently deletes a contact by its ID. Use this endpoint to delete a contact through the Samva email API.